Bug 24484 - cannot redirect output of "up2date -l"
Summary: cannot redirect output of "up2date -l"
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-21 07:58 UTC by Matthew Boedicker
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-26 01:56:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Boedicker 2001-01-21 07:58:15 UTC
While trying to create a nightly cron job to do "up2date -l | mail
root@localhost", I get a Python traceback indicating a "Broken Pipe"
exception.

Further testing shows that any kind of output redirection (such as "up2date
-l > foo") gives the same result.

Comment 1 Matthew Boedicker 2001-01-26 01:56:45 UTC
I believe this to be a problem with the interaction between up2date and
consolehelper.  I do not have the same problem when explicitly running
/usr/sbin/up2date, without the consolehelper wrapper.

Comment 2 Preston Brown 2001-02-09 03:43:59 UTC
correct.

To run from cron as root, use /usr/sbin/up2date, not /usr/bin/up2date, which is
the "run-as-a-user" wrapper program.


Note You need to log in before you can comment on or make changes to this bug.